Subject: bug#66308: 30.0.50; DocView: Bump default value of doc-view-resolution

From: Stefan Kangas <[email-masked]>
Date: Mon, 2 Oct 2023 07:55:47 -0700

Severity: wishlist

How about increasing the default value of `doc-view-resolution' from 100
to something like 300?  In my use, I find that the default value gives
poor results, especially after `doc-view-enlarge', whereas a value of
300 gives a nice, crisp display.  Monitors these days are certainly much
larger, and have much higher resolutions, than they used to.

People in highly restricted environments might have to turn it back down
again, of course.  I think this is okay though, if the benefit is that
doc-view will look better in more typical cases.

I also note that `doc-view-resolution' has had the same value since
2007, when DocView mode was first added to Emacs.  After 15-20 years, it
might be time for a bump.